Disassociate an Opportunity from its Deal
curl --request DELETE \
--url https://public-api.stora.co/2025-09/opportunities/{opportunity_id}/associate_deal \
--header 'Authorization: Bearer <token>'import requests
url = "https://public-api.stora.co/2025-09/opportunities/{opportunity_id}/associate_deal"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public-api.stora.co/2025-09/opportunities/{opportunity_id}/associate_deal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"opportunity": {
"id": "opp_127b3057d5df338e",
"archived_at": null,
"associated_at": null,
"contact": {
"id": "con_1234567890abcdef"
},
"created_at": "2025-02-22T14:41:00Z",
"creator": {
"id": "tok_7f6e5fb4bb548dbc"
},
"deal": null,
"line_items": [],
"metadata": {},
"site": {
"id": "site_14b419f1096013f1"
},
"source": "public_api",
"status": "open",
"updated_at": "2025-02-22T14:41:00Z"
},
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
]
}
}{
"error": {
"code": "resource_not_found",
"details": [],
"links": [
{
"kind": "open_api",
"name": "OpenAPI specification",
"url": "https://docs.stora.test/2025-09/openapi.json"
},
{
"kind": "documentation",
"name": "Errors",
"url": "https://docs.stora.test/2025-09/guides/errors"
}
],
"message": "The Opportunity was not found.",
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"type": "invalid_request_error"
}
}{
"error": {
"code": "opportunity_not_associated",
"details": [],
"links": [
{
"kind": "open_api",
"name": "OpenAPI specification",
"url": "https://docs.stora.test/2025-09/openapi.json"
},
{
"kind": "documentation",
"name": "Errors",
"url": "https://docs.stora.test/2025-09/guides/errors"
}
],
"message": "The opportunity is not associated with a deal.",
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"type": "invalid_request_error"
}
}Opportunities
Disassociate an Opportunity from its Deal
Remove the association between an opportunity and its deal. The opportunity returns to open, or to archived if it was archived before. The deal is not changed.
Returns 409 Conflict when the opportunity is not associated with a deal.
Required authorization scopes: public.opportunity:write, public.deal:write
DELETE
/
2025-09
/
opportunities
/
{opportunity_id}
/
associate_deal
Disassociate an Opportunity from its Deal
Authorizations
BearerOAuth2
Bearer Token necessary to use API
Path Parameters
The ID of the opportunity
Pattern:
^opp_Query Parameters
This endpoint supports expandable responses. For more, see the documentation page.
Was this page helpful?